Skip to main content
POST
/
api
/
users
/
{userId}
/
photo
Upload photo
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/users/{userId}/photo \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form photo='@example-file'
import requests

url = "https://studio.edgeimpulse.com/v1/api/users/{userId}/photo"

files = { "photo": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('photo', '<string>');

const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

options.body = form;

fetch('https://studio.edgeimpulse.com/v1/api/users/{userId}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "url": "<string>",
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

userId
integer
required

User ID

Body

multipart/form-data
photo
file
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

url
string
required
error
string

Optional error description (set if 'success' was false)